# ChangeLog for dev-perl/HTML-Mason
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/HTML-Mason/ChangeLog,v 1.65 2007/03/05 11:59:40 ticho Exp $

  05 Mar 2007; Andrej Kacian <ticho@gentoo.org> HTML-Mason-1.35.ebuild:
  Stable on x86, bug #169152.

  03 Mar 2007; Marius Mauch <genone@gentoo.org> HTML-Mason-1.26.ebuild:
  Replacing einfo with elog

  20 Jan 2007; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.32.ebuild, HTML-Mason-1.33.ebuild, HTML-Mason-1.35.ebuild:
  libapreq2 move, bug 162120

  20 Jan 2007; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.26.ebuild, HTML-Mason-1.32.ebuild, HTML-Mason-1.33.ebuild,
  HTML-Mason-1.35.ebuild:
  Changed libapreq dep to new location, bug 162120

  24 Dec 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  HTML-Mason-1.35.ebuild:
  Stable on ppc.

  24 Nov 2006; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.35.ebuild:
  sparc stable

  24 Nov 2006; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.35.ebuild:
  amd64 stable

*HTML-Mason-1.35 (23 Oct 2006)

  23 Oct 2006; Michael Cummings <mcummings@gentoo.org>
  +HTML-Mason-1.35.ebuild:
  Version bump

  21 Oct 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  HTML-Mason-1.33.ebuild:
  ppc stable

  20 Oct 2006; Bryan Østergaard <kloeri@gentoo.org> HTML-Mason-1.33.ebuild:
  Stable on Alpha.

  09 Oct 2006; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.26.ebuild, HTML-Mason-1.32.ebuild, HTML-Mason-1.33.ebuild:
  Marking amd64, sparc stable

  05 Aug 2006; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.26.ebuild, HTML-Mason-1.32.ebuild, HTML-Mason-1.33.ebuild:
  Adding perl dep; fixed DEPEND

  18 Jul 2006; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.32.ebuild, HTML-Mason-1.33.ebuild:
  Forcing mb version

  02 Jul 2006; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.32.ebuild:
  Marking stable amd64

*HTML-Mason-1.33 (24 Jun 2006)

  24 Jun 2006; Michael Cummings <mcummings@gentoo.org>
  +HTML-Mason-1.33.ebuild:
  Version bump upstream

  06 Jun 2006; <mcummings@gentoo.org> HTML-Mason-1.26.ebuild,
  HTML-Mason-1.32.ebuild:
  Bug 134781

  11 Apr 2006; <mcummings@gentoo.org> HTML-Mason-1.32.ebuild:
  Marking sparc stable

  11 Mar 2006; Michael Hanselmann <hansmi@gentoo.org>
  HTML-Mason-1.32.ebuild:
  Stable on ppc.

  26 Feb 2006; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.32.ebuild, -HTML-Mason-1.3101.ebuild:
  Marking 1.32 stable, removing 1.3101

  13 Feb 2006; Michael Cummings <mcummings@gentoo.org>
  HTML-Mason-1.26.ebuild, HTML-Mason-1.32.ebuild, HTML-Mason-1.3101.ebuild:
  Virtuals for perl-core

*HTML-Mason-1.32 (16 Jan 2006)

  16 Jan 2006; Michael Cummings <mcummings@gentoo.org>
  +HTML-Mason-1.32.ebuild:
  Version bump

  30 Dec 2005; <mcumming@gentoo.org> HTML-Mason-1.26.ebuild,
  HTML-Mason-1.3101.ebuild:
  Scalar-List-Utils migrated to perl-core.

  09 Nov 2005; Chris White <chriswhite@gentoo.org> ChangeLog:
  But then it gets better.. now I forgot to set the default GPG key.. one more
  time for the win...

  09 Nov 2005; Chris White <chriswhite@gentoo.org> ChangeLog:
  Chroot gpg key wasn't coppied over.. doing that commit again :|

  09 Nov 2005; Chris White <chriswhite@gentoo.org> -HTML-Mason-1.20.ebuild,
  -HTML-Mason-1.22.ebuild, -HTML-Mason-1.25.ebuild, HTML-Mason-1.26.ebuild,
  -HTML-Mason-1.28.ebuild, -HTML-Mason-1.29_beta02.ebuild,
  -HTML-Mason-1.30.ebuild:
  x86 stable for 111943 and closes it. Cleaned out the amassed collection of
  older ebuilds.

  09 Nov 2005; Michael Hanselmann <hansmi@gentoo.org>
  HTML-Mason-1.26.ebuild:
  Stable on ppc.

  09 Nov 2005; Michael Cummings <mcummings@gentoo.org> HTML-Mason-1.26.ebuild:
  Marking stable sparc, bug 111943. Added SRC_TEST=do for testing.

*HTML-Mason-1.3101 (09 Nov 2005)

  09 Nov 2005; Chris White <chriswhite@gentoo.org>
  +HTML-Mason-1.3101.ebuild:
  Version bump to 1.3101 for bug #111933. This also includes the addition of a
  doc USE flag for optional installation of the html documentation.

  08 Sep 2005; Aron Griffis <agriffis@gentoo.org> HTML-Mason-1.26.ebuild:
  Mark 1.26 stable on alpha

  14 Aug 2005; Fernando J. Pereda <ferdy@gentoo.org> HTML-Mason-1.30.ebuild:
  Marked ~alpha, wrt bug #102503

*HTML-Mason-1.30 (14 Aug 2005)

  14 Aug 2005; Michael Cummings <mcummings@gentoo.org>
  +HTML-Mason-1.30.ebuild:
  Bug #102456 - mason bump

*HTML-Mason-1.29_beta02 (08 Aug 2005)

  08 Aug 2005; Michael Cummings <mcummings@gentoo.org>
  +HTML-Mason-1.29_beta02.ebuild:
  New version of mason, works with modperl2, rendhalver - thanks :)

  25 May 2005; Michael Cummings <mcummings@gentoo.org> HTML-Mason-1.28.ebuild:
  dev-perl/File-Spec => perl-core/File-Spec migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> HTML-Mason-1.26.ebuild:
  dev-perl/File-Spec => perl-core/File-Spec migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> HTML-Mason-1.25.ebuild:
  dev-perl/File-Spec => perl-core/File-Spec migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> HTML-Mason-1.22.ebuild:
  dev-perl/File-Spec => perl-core/File-Spec migration

  25 May 2005; Michael Cummings <mcummings@gentoo.org> HTML-Mason-1.20.ebuild:
  dev-perl/File-Spec => perl-core/File-Spec migration

  24 May 2005; Michael Cummings <mcummings@gentoo.org> HTML-Mason-1.20.ebuild,
  HTML-Mason-1.22.ebuild, HTML-Mason-1.25.ebuild, HTML-Mason-1.26.ebuild,
  HTML-Mason-1.28.ebuild:
  dev-perl/CGI => perl-core/CGI

  18 May 2005; Michael Cummings <mcummings@gentoo.org> HTML-Mason-1.28.ebuild:
  Bug 93076 - mason can use *either* dev-perl/CGI ~or~ one of the apache request
  modules

*HTML-Mason-1.28 (13 May 2005)

  13 May 2005; Michael Cummings <mcummings@gentoo.org>
  +HTML-Mason-1.28.ebuild:
  Bug 81253, thanks to Matthew Philips <mattphilips@hotmail.com> for some
  updates to the ebuild

  10 May 2005; Elfyn McBratney <beu@gentoo.org> HTML-Mason-1.20.ebuild,
  HTML-Mason-1.22.ebuild, HTML-Mason-1.25.ebuild, HTML-Mason-1.26.ebuild:
  dev-perl/libapreq{,2} -> www-apache

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  16 Oct 2004; Robert Coie <rac@gentoo.org> HTML-Mason-1.26.ebuild:
  keyword amd64

*HTML-Mason-1.26 (28 Sep 2004)

  28 Sep 2004; Robert Coie <rac@gentoo.org> +HTML-Mason-1.26.ebuild:
  New upstream

  26 May 2004; Bryan Østergaard <kloeri@gentoo.org> HTML-Mason-1.25.ebuild:
  Stable on alpha.

  21 Mar 2004; Martin Holzer <mholzer@gentoo.org> HTML-Mason-1.20.ebuild,
  HTML-Mason-1.22.ebuild, HTML-Mason-1.25.ebuild:
  adding categorie. see 45110 for details

*HTML-Mason-1.25 (07 Feb 2004)

  07 Feb 2004; Eric Sammer <esammer@gentoo.org> HTML-Mason-1.20.ebuild,
  HTML-Mason-1.22.ebuild, HTML-Mason-1.25.ebuild:
  Bumped revision - closes bug #35407. Updated headers in old ebuilds

  27 Dec 2003; Michael Cummings,,, <mcummings@gentoo.org>
  HTML-Mason-1.22.ebuild:
  Tested on a sparc, runs fine

  27 Dec 2003; Michael Cummings,,, <mcummings@gentoo.org>
  HTML-Mason-1.19.ebuild:
  No longer available

  18 Jul 2003; <rac@gentoo.org> HTML-Mason-1.20.ebuild,
  HTML-Mason-1.22.ebuild:
  Allow >=perl-5.8.0-r12 to satisfy the File-Spec dependency

*HTML-Mason-1.22 (15 Jul 2003)

  15 Jul 2003; Michael Cummings <mcummings@gentoo.org> HTML-Mason-1.22.ebuild:
  CPAN Version bump

*HTML-Mason-1.20 (21 Jun 2003)
 
  12 Jul 2003; Daniel Ahlberg <aliz@gentoo.org> :
  Added missing changelog entry.

  07 Jun 2003; Michael Cummings <mcummings@gentoo.org> :
  Updated on CPAN, opening for testing

  07 Jun 2003; <rac@gentoo.org> HTML-Mason-1.19.ebuild:
  Add IUSE

*HTML-Mason-1.19 (22 Apr 2003)

  22 Apr 2003; <rac@gentoo.org> HTML-Mason-1.0-r1.ebuild,
  HTML-Mason-1.0-r1.ebuild, HTML-Mason-1.0-r2.ebuild,
  HTML-Mason-1.0-r2.ebuild, HTML-Mason-1.15-r1.ebuild,
  HTML-Mason-1.15-r1.ebuild, HTML-Mason-1.15-r2.ebuild,
  HTML-Mason-1.15-r2.ebuild, HTML-Mason-1.15.ebuild, HTML-Mason-1.15.ebuild,
  HTML-Mason-1.19.ebuild, Manifest:
  Version bump, thanks to Joshua J. Berry <condor-gentoo@condordes.net> in bug
  18200

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*HTML-Mason-1.15-r2 (26 Nov 2002)

  26 Nov 2002; Michael Cummings <mcummings@gentoo.org> ChangeLog,
  HTML-Mason-1.15-r2, files/digest-HTML-Mason-1.15-r2 :

  Version bump is because on of the required perl modules, Params-Validate,
  was missing a sub-dep - it would install, but not function correctly, and 
  since it was a dep of HTML-Mason, I'm bumping the chain.

*HTML-Mason-1.15-r1 (21 Nov 2002)

  21 Nov 2002; Michael Cummings <mcummings@gentoo.org> ChangeLog,
  HTML-Mason-1.15-r1, files/digest-HTML-Mason-1.15-r1 :

  Addresses bug 10866 with a rather nasty fix. HTML-Mason wants to delete some
  previously installed files if it detects them, which violates the sandbox.


*HTML-Mason-1.15 (16 Nov 2002)

  16 Nov 2002; Matthew Kennedy <mkennedy@gentoo.org> ChangeLog,
  HTML-Mason-1.15.ebuild, files/digest-HTML-Mason-1.15 :

  Version update. Clean up some ChangeLog mess.

*HTML-Mason-1.0-r1 (1 Feb 2002)

  29 Oct 2002; Seemant Kulleen <seemant@gentoo.org> ChangeLog :

  forced version bump to install into correct locations

*HTML-Mason-1.0 (1 Feb 2002)

  31 Jul 2002; Calum Selkirk <cselkirk@gentoo.org> HTML-Mason-1.0.ebuild :

  Added ppc to KEYWORDS.

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
